<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class MY_Config extends CI_Config {

	function site_url($uri = '')
	{
		if (is_array($uri))
		{
			$uri = implode('/', $uri);
		}
		
		$suffix = ($this->item('url_suffix') == FALSE) ? '' : $this->item('url_suffix');
		$suffix_session = ($this->item('url_suffix_session') == FALSE) ? '' : $this->item('url_suffix_session');

		if ($uri == '')
		{
			if ( $suffix_session == '' )
			{
				return $this->slash_item('base_url').$this->item('index_page');
			}
			else
			{
				return preg_replace("|^/*(.+?)/*$|", "\\1", $this->slash_item('base_url').$this->item('index_page')).$suffix_session;
			}
		}
		else
		{
			return $this->slash_item('base_url').$this->slash_item('index_page').preg_replace("|^/*(.+?)/*$|", "\\1", $uri).$suffix_session.$suffix;
		}
	}
}

?>